##### windows::basic_stream_handle::close (2 of 2 overloads)

Inherited from windows::basic_overlapped_handle.

Close the handle.

    void close(
        asio::error_code & ec);

This function is used to close the handle. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any.